/* 
 * FaceOff.java 1.0 2002-08-23
 *
 *  2002 Jouni Smed
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *
 *     * Neither the name of the University of Turku nor the names of its
 *       contributors may be used to endorse or promote products derived 
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
 
package fi.utu.cs.hockey.rink;

/**
 *  Faceoff spots.
 *
 *  @version 1.0, 020823
 *  @author  Jouni Smed
 */
public interface FaceOff
  {
	/** Faceoff at the center spot. */
	public int CENTER_SPOT								= 0;
	/** Faceoff at home endzone on the left side. */	
	public int HOME_ENDZONE_LEFT					= 1;
	/** Faceoff at our endzone on the right side. */	
	public int HOME_ENDZONE_RIGHT					= 2;
	/** Faceoff at our neutral zone on the left side. */	
	public int HOME_NEUTRAL_ZONE_LEFT			= 3;
	/** Faceoff at our neutral zone on the right side. */	
	public int HOME_NEUTRAL_ZONE_RIGHT		= 4;
	/** Faceoff at their neutral zone on the left side. */	
	public int VISITOR_NEUTRAL_ZONE_LEFT	= 5;
	/** Faceoff at their neutral zone on the right side. */	
	public int VISITOR_NEUTRAL_ZONE_RIGHT	= 6;
	/** Faceoff at their endzone on the left side. */	
	public int VISITOR_ENDZONE_LEFT				= 7;
	/** Faceoff at their endzone on the right side. */	
	public int VISITOR_ENDZONE_RIGHT			= 8;
  }
