/* 
 * FaceOffCircle.java 1.0 2002-06-05
 *
 *  2002 Jouni Smed
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *
 *     * Neither the name of the University of Turku nor the names of its
 *       contributors may be used to endorse or promote products derived 
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
 
package fi.utu.cs.hockey.rink;

/**
 *  A face off circle. 
 *
 *  @version 1.0, 020605
 *  @author  Jouni Smed
 */
public class FaceOffCircle extends Circle
  {

  /** 
   *  A face off circle.
   *  @param half In which half of the rink the circle is.
   *  @param side In which side of the rink the circle is.
   */
  public FaceOffCircle(boolean half, boolean side)
    {
    super(side ? Rink.FACE_OFF_OFFSET : -Rink.FACE_OFF_OFFSET, 
    			half ? Rink.ENDZONE_FACE_OFF_OFFSET : -Rink.ENDZONE_FACE_OFF_OFFSET, 
    			Rink.FACE_OFF_CIRCLE_RADIUS, 
    			Rink.FACE_OFF_CIRCLE_WIDTH,
    			Rink.COLOR_RED);
    }
  
  public String toString()
    {
    return "Face off circle: " + super.toString();
    }  
  }
