/* 
 * ForwardAI.java 1.0 2002-09-03
 *
 *  2002 Jouni Smed
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *
 *     * Neither the name of the University of Turku nor the names of its
 *       contributors may be used to endorse or promote products derived 
 *       from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
import fi.utu.cs.hockey.ai.*;

public class ForwardAI extends AI implements Constants
	{
	public void react()
		{
		if (!isGameStopped())
			{
			double[] puck = puck();
			double[] me = player(true, getPosition());
			if (isOffside(true) & me[Y_COORDINATE] > THEIR_BLUE_LINE)
				{
				head(Math.PI);
				dash(1.0);
				}
			else
				{
				if (isPuckWithinReach())
					{
					switch (getPosition())
						{
						case CENTER:
							if (!isOffside(true) & me[Y_COORDINATE] > CENTER_LINE)
								{
								head(headingTo(0.0, THEIR_GOAL_LINE));
								shoot(1.0);
								}
							else
								{
								head(headingTo(player(true, LEFT_DEFENSE)));
								shoot(0.5);
								}
							break;
						default:
							if (me[Y_COORDINATE] > THEIR_BLUE_LINE)
								{
								head(headingTo(0.0, THEIR_GOAL_LINE));
								shoot(0.7);
								}
							else
								{
								head(headingTo(player(true, CENTER)));
								shoot(0.6);
								}
							break;
						}
					dash(0.2);
					}
				else
					{
					switch (getPosition())
						{
						case CENTER:
							if (puck[X_COORDINATE] >= FACEOFF_LEFT + 2.0 & 
									puck[X_COORDINATE] <= FACEOFF_RIGHT - 2.0)
								head(headingTo(puck));
							else
								head(headingTo(0.0, puck[Y_COORDINATE] - 1.0));
							break;
						case LEFT_WING:
							if (puck[X_COORDINATE] < FACEOFF_LEFT + 2.0)
								head(headingTo(puck));
							else
								head(headingTo(FACEOFF_LEFT, puck[Y_COORDINATE] - 1.5));
							break;
						case RIGHT_WING:
							if (puck[X_COORDINATE] > FACEOFF_RIGHT - 2.0)
								head(headingTo(puck));
							else
								head(headingTo(FACEOFF_RIGHT, puck[Y_COORDINATE] - 1.5));
							break;
						}
					dash(1.0);
					}
				}
			}
		}		
	}